
function[outputVector] = CorespondDel(inputData, searchVector, prah)
    
    [nVah nColors] = size(inputData);
    g=0;
   for h=1:size(searchVector,2)
       if (searchVector(1,h)~=0)
           g=g+1;
           for i=1:nColors
             Sum = 0;
             %soucet vzdalenosti dulezitych parametru
             for j=6:7
                 Sum = Sum + (searchVector(j,h) - inputData(j,i))^2;
             end
             sumVz(i) = Sum;
           end

           x=0;
           while x~=1
               IMinVzd = find(sumVz==min(sumVz));
               ColorOnMinVzd = inputData(8,IMinVzd);
               if sumVz(IMinVzd) == 99999;
                   outputVector(nVah+2:nVah+nVah+1,g) = 1;
                   break;
               end

               if (sqrt((searchVector(8,h) - ColorOnMinVzd(1))^2)<100)
                  outputVector(1:nVah,g) = searchVector(:,h);
                  outputVector(nVah+2:nVah+nVah+1,g) = inputData(:,IMinVzd);
                  x = 1;
               else

                  sumVz(IMinVzd) = 99999;
               end

           end
       end
       
   end
    



   
% 1.  pocet bodu barvy s uhly alfa beta 
% 2.  smerodatna odchylka X
% 3.  smerodatna odchylka Y
% 4.  sigma X - rozptyl
% 5.  sigma Y - rozptyl
% 6.  stredni hodnota vzdalenosti v souradnicich x
% 7.  stredni hodnota vzdalenosti v souradnicich y
% 8.  i         
% 9.  
% 10. pomer poctu bodu dane barvy / smerodatna odchylka X
% 11. pomer poctu bodu dane barvy / smerodatna odchylka Y
% 12. celkovu pomer

